Subject: Re: bug#76503: [GCD] Migrating repositories, issues, and patches to Codeberg

From: Efraim Flashner <[email-masked]>
Date: Wed, 5 Mar 2025 13:14:23 +0200

On Tue, Mar 04, 2025 at 08:22:59PM +0900, Maxim Cournoyer wrote:
> Hi Ludovic,
> 
> Ludovic Courtès <[email-masked]> writes:
> 
> [...]

> - The merge button in web UI would need to be disabled or documented as
> prohibited (I doubt we'd even be able to disable it? or we'd need to
> ensure the merge can be fast-forwarded and is already signed, which
> would be a bit annoying since we'd need to not only fetch + rebase but
> then visit the web interface to merge a change).  It can all be
> automated via the HTTP API I'm sure, but that wouldn't be much of an
> improvement (if at all) over our current flow.
> 
> I suspect not being able to follow the expected way of merging things
> probably further implies that:
> 
>  - Issues won't be closed automatically since we can't use the merge
>    button.
>  - Both PR and issues must then be closed manually, which is what we
>    currently have
>  - The flow would be *even* more confusing than now, since it'd look
>    like Github but require committers to use it very differently.
> 
> Which would again need more custom tools/scripts as a workaround.
> 
> [...]
> Thank you for proposing this GCD!
> 
> -- 
> Maxim
> 

I grabbed the following from one of the projects I've found on codeberg,
from an open pull request. The formatting didn't copy over, so I've
reformatted it a bit.  I assume if we have "autodetect manual merge"
turned on then we wouldn't get the warning listed next to merge.

x This pull request has changes conflicting with the target branch.
    * src/actions/repo/create.rs

↓ View command line instructions

# Checkout
From your project repository, check out a new branch and test the changes.
```
git fetch -u https://codeberg.org/gekkowrld/codeberg-cli list:gekkowrld-list
git checkout gekkowrld-list
```

# Merge
Merge the changes and update on Forgejo.
Warning: The "Autodetect manual merge" setting is not enabled for this repository, you will have to mark this pull request as manually merged afterwards.
```
git checkout main
git merge --no-ff gekkowrld-list
git push origin main
```

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted